summaryrefslogtreecommitdiff
path: root/tests/mv/backup-is-src
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/backup-is-src')
-rwxr-xr-xtests/mv/backup-is-src66
1 files changed, 66 insertions, 0 deletions
diff --git a/tests/mv/backup-is-src b/tests/mv/backup-is-src
new file mode 100755
index 0000000..8d5c69d
--- /dev/null
+++ b/tests/mv/backup-is-src
@@ -0,0 +1,66 @@
+#!/bin/sh
+# Force mv to use the copying code.
+
+# Copyright (C) 1998, 1999, 2000, 2004 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../other-fs-tmpdir
+. $srcdir/../envvar-check
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+a="$other_partition_tmpdir/a"
+a2="$other_partition_tmpdir/a~"
+
+framework_failure=0
+rm -f $a $a2 || framework_failure=1
+echo a > $a || framework_failure=1
+echo a2 > $a2 || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+# This mv command should exit nonzero.
+mv --b=simple $a2 $a > out 2>&1 && fail=1
+
+sed \
+ -e "s,mv:,XXX:," \
+ -e "s,$a,YYY," \
+ -e "s,$a2,ZZZ," \
+ out > out2
+
+cat > exp <<\EOF
+XXX: backing up `YYY' would destroy source; `ZZZ' not moved
+EOF
+
+cmp out2 exp || fail=1
+
+rm -fr out out2 exp $a $a2 $other_partition_tmpdir
+
+exit $fail